=head1 NAME

Gnome2::Wnck::Screen

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gnome2::Wnck::Screen



=cut


=head1 METHODS

=head2 window = $screen-E<gt>B<get_active_window> 

=head2 workspace = $screen-E<gt>B<get_active_workspace> 

=head2 unsigned = $screen-E<gt>B<get_background_pixmap> 

=head2 $screen-E<gt>B<change_workspace_count> ($count)

=over

=item * $count (integer) 

=back

=head2 screen = Gnome2::Wnck::Screen-E<gt>B<get_default> 

=head2 screen = Gnome2::Wnck::Screen-E<gt>B<get_for_root> ($root_window_id)

=over

=item * $root_window_id (unsigned) 

=back

=head2 $screen-E<gt>B<force_update> 

=head2 screen = Gnome2::Wnck::Screen-E<gt>B<get> ($index)

=over

=item * $index (integer) 

=back

=head2 integer = $screen-E<gt>B<get_height> 

=head2 $screen-E<gt>B<move_viewport> ($x, $y)

=over

=item * $x (integer) 

=item * $y (integer) 

=back

=head2 boolean = $screen-E<gt>B<net_wm_supports> ($atom)

=over

=item * $atom (string) 

=back

=head2 integer = $screen-E<gt>B<get_number> 

=head2 window = $screen-E<gt>B<get_previously_active_window> 

=head2 $screen-E<gt>B<release_workspace_layout> ($current_token)

=over

=item * $current_token (integer) 

=back

=head2 boolean = $screen-E<gt>B<get_showing_desktop> 

=head2 $screen-E<gt>B<toggle_showing_desktop> ($show)

=over

=item * $show (boolean) 

=back

=head2 integer = $screen-E<gt>B<try_set_workspace_layout> ($current_token, $rows, $columns)

=over

=item * $current_token (integer) 

=item * $rows (integer) 

=item * $columns (integer) 

=back

=head2 integer = $screen-E<gt>B<get_width> 

=head2 string or undef = $screen-E<gt>B<get_window_manager_name> 

=head2 list = $screen-E<gt>B<get_windows> 


Returns a list of WnckWindow's.


=head2 list = $screen-E<gt>B<get_windows_stacked> 


Returns a list of WnckWindow's.


=head2 integer = $screen-E<gt>B<get_workspace_count> 

=head2 workspace = $screen-E<gt>B<get_workspace> ($workspace)

=over

=item * $workspace (integer) 

=back

=head2 list = $screen-E<gt>B<get_workspaces> 



=cut


=head1 SIGNALS

=over

=item B<active-window-changed> (Gnome2::Wnck::Screen, Gnome2::Wnck::Window)

=item B<active-workspace-changed> (Gnome2::Wnck::Screen, Gnome2::Wnck::Workspace)

=item B<application-closed> (Gnome2::Wnck::Screen, Gnome2::Wnck::Application)

=item B<application-opened> (Gnome2::Wnck::Screen, Gnome2::Wnck::Application)

=item B<background-changed> (Gnome2::Wnck::Screen)

=item B<class-group-closed> (Gnome2::Wnck::Screen, Gnome2::Wnck::ClassGroup)

=item B<class-group-opened> (Gnome2::Wnck::Screen, Gnome2::Wnck::ClassGroup)

=item B<showing-desktop-changed> (Gnome2::Wnck::Screen)

=item B<viewports-changed> (Gnome2::Wnck::Screen)

=item B<window-closed> (Gnome2::Wnck::Screen, Gnome2::Wnck::Window)

=item B<window-manager-changed> (Gnome2::Wnck::Screen)

=item B<window-opened> (Gnome2::Wnck::Screen, Gnome2::Wnck::Window)

=item B<window-stacking-changed> (Gnome2::Wnck::Screen)

=item B<workspace-created> (Gnome2::Wnck::Screen, Gnome2::Wnck::Workspace)

=item B<workspace-destroyed> (Gnome2::Wnck::Screen, Gnome2::Wnck::Workspace)

=back



=cut


=head1 SEE ALSO

L<Gnome2::Wnck>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::Wnck> for a full
notice.



=cut

